Delete Mock Tool Data
curl --request DELETE \
--url https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/mock-tool-data",
"status": 400,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/mock-tool-data",
"status": 401,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/mock-tool-data",
"status": 403,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/mock-tool-data",
"status": 404,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Conflict",
"message": "Mock is still referenced by one or more test cases",
"path": "/v1/mock-tool-data/{mockToolDataId}",
"status": 409,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/mock-tool-data",
"status": 500,
"timestamp": "2026-10-14T11:41:39.261Z"
}Mock Tool Data
Delete Mock Tool Data
Deletes a mock tool data record for the specified agent. Fails if any active test case still references this mock via mockToolData.
DELETE
/
v1
/
mock-tool-data
/
{mockToolDataId}
Delete Mock Tool Data
curl --request DELETE \
--url https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sigmamind.ai/v1/mock-tool-data/{mockToolDataId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/mock-tool-data",
"status": 400,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/mock-tool-data",
"status": 401,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/mock-tool-data",
"status": 403,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/mock-tool-data",
"status": 404,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Conflict",
"message": "Mock is still referenced by one or more test cases",
"path": "/v1/mock-tool-data/{mockToolDataId}",
"status": 409,
"timestamp": "2026-10-14T11:41:39.261Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/mock-tool-data",
"status": 500,
"timestamp": "2026-10-14T11:41:39.261Z"
}Authorizations
Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.
Path Parameters
Unique identifier of the mock tool data record.
Query Parameters
Unique identifier of the agent this mock belongs to.
Response
OK